require File.dirname(__FILE__) + '/../test_helper'

class ActorTest < Test::Unit::TestCase
  fixtures :actors

  def test_name_is_not_blank
    actor = Actor.new
    assert !actor.valid?
    assert actor.errors.invalid?(:name)
  end

  def test_name_is_unique
    actor = Actor.new(:name => "Customer")
    assert !actor.save
    assert actor.errors.invalid?(:name)
  end
end
